Sum
Statistical Functions

signal_min_every_or_max_every More...

## Functions

NppStatus | nppsSumGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_32f. More...
NppStatus | nppsSumGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsSumGetBufferSize_32fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_32fc. More...
NppStatus | nppsSumGetBufferSize_32fc (int nLength, int *hpBufferSize)
NppStatus | nppsSumGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_64f. More...
NppStatus | nppsSumGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsSumGetBufferSize_64fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_64fc. More...
NppStatus | nppsSumGetBufferSize_64fc (int nLength, int *hpBufferSize)
NppStatus | nppsSumGetBufferSize_16s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_16s_Sfs. More...
NppStatus | nppsSumGetBufferSize_16s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsSumGetBufferSize_16sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_16sc_Sfs. More...
NppStatus | nppsSumGetBufferSize_16sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsSumGetBufferSize_16sc32sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_16sc32sc_Sfs. More...
NppStatus | nppsSumGetBufferSize_16sc32sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsSumGetBufferSize_32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_32s_Sfs. More...
NppStatus | nppsSumGetBufferSize_32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsSumGetBufferSize_16s32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsSum_16s32s_Sfs. More...
NppStatus | nppsSumGetBufferSize_16s32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsSum_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pSum, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector sum method More...
NppStatus | nppsSum_32f (const Npp32f *pSrc, int nLength, Npp32f *pSum, Npp8u *pDeviceBuffer)
NppStatus | nppsSum_32fc_Ctx (const Npp32fc *pSrc, int nLength, Npp32fc *pSum, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float complex vector sum method More...
NppStatus | nppsSum_32fc (const Npp32fc *pSrc, int nLength, Npp32fc *pSum, Npp8u *pDeviceBuffer)
NppStatus | nppsSum_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pSum, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit double vector sum method More...
NppStatus | nppsSum_64f (const Npp64f *pSrc, int nLength, Npp64f *pSum, Npp8u *pDeviceBuffer)
NppStatus | nppsSum_64fc_Ctx (const Npp64fc *pSrc, int nLength, Npp64fc *pSum, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit double complex vector sum method More...
NppStatus | nppsSum_64fc (const Npp64fc *pSrc, int nLength, Npp64fc *pSum, Npp8u *pDeviceBuffer)
NppStatus | nppsSum_16s_Sfs_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pSum, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit short vector sum with integer scaling method More...
NppStatus | nppsSum_16s_Sfs (const Npp16s *pSrc, int nLength, Npp16s *pSum, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsSum_32s_Sfs_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pSum, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector sum with integer scaling method More...
NppStatus | nppsSum_32s_Sfs (const Npp32s *pSrc, int nLength, Npp32s *pSum, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsSum_16sc_Sfs_Ctx (const Npp16sc *pSrc, int nLength, Npp16sc *pSum, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit short complex vector sum with integer scaling method More...
NppStatus | nppsSum_16sc_Sfs (const Npp16sc *pSrc, int nLength, Npp16sc *pSum, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsSum_16sc32sc_Sfs_Ctx (const Npp16sc *pSrc, int nLength, Npp32sc *pSum, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit short complex vector sum (32bit int complex) with integer scaling method More...
NppStatus | nppsSum_16sc32sc_Sfs (const Npp16sc *pSrc, int nLength, Npp32sc *pSum, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsSum_16s32s_Sfs_Ctx (const Npp16s *pSrc, int nLength, Npp32s *pSum, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector sum (32bit) with integer scaling method More...
NppStatus | nppsSum_16s32s_Sfs (const Npp16s *pSrc, int nLength, Npp32s *pSum, int nScaleFactor, Npp8u *pDeviceBuffer)

## Detailed Description

signal_min_every_or_max_every

## Function Documentation

NppStatus nppsSum_16s32s_Sfs | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_16s32s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector sum (32bit) with integer scaling method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_16s32s_Sfs to determine the minium number of bytes required.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSum_16s_Sfs | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_16s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit short vector sum with integer scaling method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_16s_Sfs to determine the minium number of bytes required.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSum_16sc32sc_Sfs | ( | const Npp16sc * | pSrc,
|  | int | nLength,
|  | Npp32sc * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_16sc32sc_Sfs_Ctx | ( | const Npp16sc * | pSrc,
|  | int | nLength,
|  | Npp32sc * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit short complex vector sum (32bit int complex) with integer scaling method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_16sc32sc_Sfs to determine the minium number of bytes required.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSum_16sc_Sfs | ( | const Npp16sc * | pSrc,
|  | int | nLength,
|  | Npp16sc * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_16sc_Sfs_Ctx | ( | const Npp16sc * | pSrc,
|  | int | nLength,
|  | Npp16sc * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit short complex vector sum with integer scaling method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_16sc_Sfs to determine the minium number of bytes required.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSum_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pSum,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pSum,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector sum method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSum_32fc | ( | const Npp32fc * | pSrc,
|  | int | nLength,
|  | Npp32fc * | pSum,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | int | nLength,
|  | Npp32fc * | pSum,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float complex vector sum method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_32fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSum_32s_Sfs | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_32s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pSum,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector sum with integer scaling method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_32s_Sfs to determine the minium number of bytes required.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSum_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pSum,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pSum,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit double vector sum method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSum_64fc | ( | const Npp64fc * | pSrc,
|  | int | nLength,
|  | Npp64fc * | pSum,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsSum_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | int | nLength,
|  | Npp64fc * | pSum,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit double complex vector sum method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pSum | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsSumGetBufferSize_64fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSumGetBufferSize_16s32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_16s32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_16s32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsSumGetBufferSize_16s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_16s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_16s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsSumGetBufferSize_16sc32sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_16sc32sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_16sc32sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsSumGetBufferSize_16sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_16sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_16sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsSumGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsSumGetBufferSize_32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_32fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsSumGetBufferSize_32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsSumGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsSumGetBufferSize_64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsSumGetBufferSize_64fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsSum_64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2018 NVIDIA Corporation